#
# spec file for package python-google-cloud-speech
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-google-cloud-speech
Version:        1.2.0
Release:        bp153.1.19
Summary:        Google Cloud Speech API client library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/GoogleCloudPlatform/google-cloud-python
Source:         https://files.pythonhosted.org/packages/source/g/google-cloud-speech/google-cloud-speech-%{version}.tar.gz
BuildRequires:  %{python_module google-api-core >= 1.14.0}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-google-api-core >= 1.14.0
BuildArch:      noarch
%python_subpackages

%description
Cloud Speech API converts audio to text by applying neural network models.

%prep
%setup -q -n google-cloud-speech-%{version}
# remove tests needing credentials to google services
rm tests/system/gapic/v1/test_system_speech_v1.py
rm tests/system/gapic/v1p1beta1/test_system_speech_v1p1beta1.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Sep 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.2.0:
  * Add 'client_options' support (via synth). (#8534)
  * Increase speech max received msg size to 256 MiB (#8338)
  * Add MP3 to Audio Encoding and add boost to Speech Context (via synth). (#8109)
  * Add Recognition Metadata (via synth). (#7961)
* Tue Mar 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.0:
  * Remove unused message exports. (#7275)
  * Promote google-cloud-speech to GA (#7525)
  * Speech: copy lintified proto files (via synth).
  * Add clarifying comment to blacken nox target. (#7404)
  * Copy proto files alongside protoc versions. Remove unneeded utf-8 header.
* Fri Mar 15 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.36.3:
  * Add 'RecognitionConfig.audio_channel_count' field via synth. (#7240)
  * Protoc-generated serialization update. (#7106)
  * Bump minimum api_core version for all GAPIC libs to 1.4.1. (#6391)
  * Import iam.policy from google.api_core. (#6741)
  * Pick up fixes to GAIPC generator. (#6508)
  * Add result_end_time, docstring changes via synth. (#6462)
  * Assorted synth fixups / cleanups (#6400)
  * Fix client_info bug, update docstrings and timeouts. (#6421)
  * Re-generate library using speech/synth.py (#5979)
- Really execute tests
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Oct 22 2018 Jan Engelhardt <jengelh@inai.de>
- Ensure neutrailty of descriptions.
* Mon Oct 22 2018 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 0.36.0)
